GrailsLayoutView (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.web.sitemesh

## [Java] Class GrailsLayoutView

- org.grails.web.sitemesh.GrailsLayoutView

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `GSP_SITEMESH_PAGE` |
    `protected org.springframework.web.servlet.View` | `innerView` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.servlet.view.AbstractUrlBasedView` | `DEFAULT_CONTENT_TYPE, RESPONSE_STATUS_ATTRIBUTE, PATH_VARIABLES, SELECTED_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsLayoutView (GroovyPageLayoutFinder groovyPageLayoutFinder, org.springframework.web.servlet.View innerView)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `applyMetaHttpEquivContentType(com.opensymphony.sitemesh.Content content, javax.servlet.http.HttpServletResponse response)`
    `protected void` | `beforeDecorating(com.opensymphony.sitemesh.Content content, java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `protected GrailsContentBufferingResponse` | `createContentBufferingResponse(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `java.lang.String` | `getContentType()`
    `org.springframework.web.servlet.View` | `getInnerView()`
    `groovy.text.Template` | `getTemplate()`
    `protected com.opensymphony.sitemesh.Content` | `obtainContent(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `protected void` | `renderInnerView(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, GrailsContentBufferingResponse contentBufferingResponse)`
    `protected void` | `renderTemplate(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsView` | `createGrailsWebRequest, getTemplate, renderMergedOutputModel, renderTemplate, rethrowRenderException`
    `class org.springframework.web.servlet.view.AbstractUrlBasedView` | `org.springframework.web.servlet.view.AbstractUrlBasedView#checkResource(java.util.Locale), org.springframework.web.servlet.view.AbstractUrlBasedView#getUrl(), org.springframework.web.servlet.view.AbstractUrlBasedView#setUrl(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#afterPropertiesSet(), org.springframework.web.servlet.view.AbstractUrlBasedView#toString(), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributes(java.util.Properties), org.springframework.web.servlet.view.AbstractUrlBasedView#getContentType(), org.springframework.web.servlet.view.AbstractUrlBasedView#setContentType(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#render(java.util.Map, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse), org.springframework.web.servlet.view.AbstractUrlBasedView#getBeanName(), org.springframework.web.servlet.view.AbstractUrlBasedView#setRequestContextAttribute(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#getRequestContextAttribute(), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributesMap(java.util.Map), org.springframework.web.servlet.view.AbstractUrlBasedView#getAttributesMap(), org.springframework.web.servlet.view.AbstractUrlBasedView#setExposePathVariables(boolean), org.springframework.web.servlet.view.AbstractUrlBasedView#setExposeContextBeansAsAttributes(boolean), org.springframework.web.servlet.view.AbstractUrlBasedView#setExposedContextBeanNames([Ljava.lang.String;), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributesCSV(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#setBeanName(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#addStaticAttribute(java.lang.String, java.lang.Object), org.springframework.web.servlet.view.AbstractUrlBasedView#getStaticAttributes(), org.springframework.web.servlet.view.AbstractUrlBasedView#isExposePathVariables(), org.springframework.web.servlet.view.AbstractUrlBasedView#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.view.AbstractUrlBasedView#getApplicationContext(), org.springframework.web.servlet.view.AbstractUrlBasedView#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(long, int), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(long), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(), org.springframework.web.servlet.view.AbstractUrlBasedView#equals(java.lang.Object), org.springframework.web.servlet.view.AbstractUrlBasedView#hashCode(), org.springframework.web.servlet.view.AbstractUrlBasedView#getClass(), org.springframework.web.servlet.view.AbstractUrlBasedView#notify(), org.springframework.web.servlet.view.AbstractUrlBasedView#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String GSP_SITEMESH_PAGE

    - #### protected org.springframework.web.servlet.View innerView

  - ### Constructor Detail

    - #### public GrailsLayoutView(GroovyPageLayoutFinder groovyPageLayoutFinder, org.springframework.web.servlet.View innerView)

  - ### Method Detail

    - #### protected void applyMetaHttpEquivContentType(com.opensymphony.sitemesh.Content content, javax.servlet.http.HttpServletResponse response)

    - #### protected void beforeDecorating(com.opensymphony.sitemesh.Content content, java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

    - #### protected GrailsContentBufferingResponse createContentBufferingResponse(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

    - #### @java.lang.Override public java.lang.String getContentType()

    - #### public org.springframework.web.servlet.View getInnerView()

    - #### @java.lang.Override public groovy.text.Template getTemplate()

    - #### protected com.opensymphony.sitemesh.Content obtainContent(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

    - #### protected void renderInnerView(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, GrailsContentBufferingResponse contentBufferingResponse)

    - #### @java.lang.Override protected void renderTemplate(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)